@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΠΕΡΙΣΤΡΕΦΕΙ 90 ΜΟΙΡΕΣ ΟΛΑ ΤΑ ΒΙΝΤΕΟ ΤΟΥ OBS ΣΤΙΣ ΔΙΑΣΤΑΣΕΙΣ ΠΟΥ ΤΟΥ ΟΡΙΖΕΤΕ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF
rem για περισσοτερες πληροφορίες
rem https://stackoverflow.com/questions/3937387/rotating-videos-with-ffmpeg
for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (

	echo.
	echo Περιστρέφω κατά 90 μοίρες το Βίντεο "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" -vf transpose=1 -c:a copy "%%~ni-90-rotate.%%~xi"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0